/*
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2001
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplicaion or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * File Name: azn_admin_svc_protos.h
 */

#ifndef _AZN_ADMIN_SVC_PROTOS_H
#define _AZN_ADMIN_SVC_PROTOS_H

#include <azn_svc_protos.h>

#ifdef _WIN32
#undef AZN_DECLSPEC
#define AZN_DECLSPEC    __declspec(dllexport)
#else
#undef AZN_DECLSPEC
#define AZN_DECLSPEC
#endif

#ifdef __cplusplus
extern "C" {
#endif

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_get_object(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_string_t        path,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_get_objectlist(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_string_t        path,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);


AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_perform_task(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_string_t        command,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_get_tasklist(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);

#ifdef __cplusplus
}
#endif

#endif /* _AZN_ADMIN_SVC_PROTOS_H */
